import mysql.simplesql as sql

tables = ['tmccatalog']


def insertInventCatalog(inventCatalog):
    yield sql.Insert(table='tmccatalog', values={
        'tmccode': inventCatalog.get('tmccode', None),
        'catalogid': inventCatalog.get('catalogid', None),
        'tmcprice': inventCatalog.get('tmcprice', None),
        'image': inventCatalog.get('image', None)
    })


def clearInventCatalog():
    yield sql.DeleteAll(table='tmccatalog')


def deleteInventCatalog(inventCatalog):
    yield sql.Delete(table='tmccatalog', whereFields=['tmccode', 'catalogid'],
            whereValues=[inventCatalog.get('tmccode', None), inventCatalog.get('catalogid', None)])
