import mysql.simplesql as sql

def insertAbnormalQuantity(abnormalquantity):
    yield sql.Insert(table='abnormalquantity', values={
        "barcode": abnormalquantity.get('barcode', None),
        "minquant": abnormalquantity.get('minquant', None),
        "maxquant": abnormalquantity.get('maxquant', None),
    })

def clearAbnormalQuantity():
    yield sql.DeleteAll(table='abnormalquantity')

def deleteAbnormalQuantity(object):
    barcode = object.get('barcode', None)
    if barcode:
        yield sql.Delete(table='abnormalquantity', whereFields=['barcode'], whereValues=[barcode])

def deleteAbnormalQuantityByBarcode(barcode):
    yield sql.Delete(table='abnormalquantity', whereFields=['barcode'], whereValues=[barcode])